Bug 49638 - Suggestion to make grub more user friendly
Suggestion to make grub more user friendly
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: grub (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-22 11:22 EDT by greg hosler
Modified: 2015-01-07 18:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-22 11:22:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description greg hosler 2001-07-22 11:22:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.3-2.9.2 i686)

Description of problem:
I accidentally wiped the brub boot loader off my system, and I think it is
possible, even probably that other users, even experianced Linux users
might do the same once RH7.2 ships.

Here is what happened, and my suggestion to help avoid similiar instances.

What I did (for the record)... I wanted to dual boot between beta 2, and an
older RHL7.1 installation. Seemed like a reasonable thing at the time. I
fairly
easily located teh grun conf file (by poking around under /boot hierarchy).
Looked pretty straight forward, so I added the stanza. Now the question
became
"how to ``re-lilo'' this sucka?" (You have to remember, I'm coming from a
pure
lilo, many years bred, background). I man'ed grub, and tried "grub" then
"grub -f /boot/grub/grub.conf", and a few other things. Then I found about
grub-install, so I tried that as well. Nothing gave me the warm and fuzzy
that
lilo used to give me. finally I rebooted anyway, and grub was lost. some
how,
in my exhuberance, I managed to install a clean empty grub boot sector.

In the end, after looking thru the mailing list, I found Bero's reference
to
the soft link between /boot/grub/menu.lst and /boot/grub/grub.conf (there
was NO menu.lst in my /boot/grub, dunno if there used to be or not).

Made the soft link, did a grub root/setup, and rebooted, and now I'm back.

Given the way that many of us have depended upon lilo, possibly exclusively
(I sure fall into that category), I think it is possible, maybe even
probable,
that others will fall into this same trap that I fell into (i.e. they might
accidentally wipe out their grub booter).

I note that there is a comment in the grub.conf. I think it would be a good
idea to add some comment about "no need to re-lilo / re-grub, after adding
new
stanzas", or "after adding a new stanza, grub will automatically find the
new
boot options at the next boot. No need to re-lilo / re-grub".

I know it sounds a bit silly, but I think it might save some problem
reports
later on. (especially when the only Grub howto's are written in French).



How reproducible:
Sometimes

Steps to Reproduce:
1.depends upon how creative a user gets when they try to "re-lilo" their
grub
changes. I think it is important to get them the message that they do not
need to
"re-lilo".

2.
3.
	

Actual Results:  re-grubbing can cause loss of bootability

Additional info:
Comment 1 Jeremy Katz 2001-08-01 16:43:18 EDT
The documentation included with Red Hat Linux has been updated to contain this
information, a comment has been added to grub.conf, and we should have something
in the release notes about this.

Note You need to log in before you can comment on or make changes to this bug.